# Command: rolld

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    rolld - Roll the three top stack elements downwards

Synopsis:

    obj1 obj2 obj3 rolld -> obj2 obj3 obj1

Description:

    rolld is equivalent to 3 -1 roll

Diagnostics:

    Raises StackUnderflow error if there are less
      than 3 objects on the stack.

SeeAlso:

- roll
- rollu
- rot

Source:

    /opt/conda/conda-bld/nest_1510212701067/work/nest-2.14.0/sli/slistack.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative